petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmSortRestoreAccess

Invalidates the DMSwarm point sorting context

### Synopsis

    PETSC_EXTERN PetscErrorCode DMSwarmSortRestoreAccess(DM dm)

Not collective

### Input parameter

dm -a DMSwarm object

### Note

You must call DMSwarmSortGetAccess() before calling DMSwarmSortRestoreAccess()

### See Also

DMSwarmSetType(), DMSwarmSortGetAccess()

### Level

advanced

### Location

src/dm/impls/swarm/swarmpic_sort.c

### Examples

src/dm/examples/tutorials/ex20.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages